<script setup>
    import FormulaireFacture from '@/components/formulaires/FormulaireFacture.vue';
    import axios from 'axios';
    import ROUTES_API from '@/assets/routesAPI.js'

    const envoyerFacture = async (facture) => {
        facture.prix = Math.round(parseFloat(facture.prix)*100);
        await axios.post(ROUTES_API.FACTURES, facture, {
            headers : {
                'Content-Type': 'application/json',
                'Accept': 'application/json'
            }
        });
        window.location.href = "/factures";
    }
</script>

<template>
    <div>
        <h1>Création de Facture</h1>
        <FormulaireFacture @envoie="envoyerFacture"/>
    </div>
</template>

<style scoped>

</style>